View Issue Details

IDProjectCategoryView StatusLast Update
0003474Expressions[FreeCAD] Bugpublic2019-01-20 00:04
ReporterDeepSOIC Assigned ToDeepSOIC  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003474: Spreadsheet drag-drop across containers makes linked objects move as well
DescriptionWhen dragging a spreadsheet linked by expressions to other objects, across coordinate systems (e.g. into, or out of Part), a whole cluster of linked together objects follows. This is not needed (spreadsheet links are expression links, not geometric links), and looks like there is no easy workaround.

forum thread: https://forum.freecadweb.org/viewtopic.php?p=229098
Steps To Reproduce1. Open attached file
dragdrop-spreadsheet-bug.FCStd
(13.16 KiB) Not downloaded yet
2. Drag-drop Spreadsheet into Part
-> Everything is moved into Part, except for Cube001.
expected behavior: only spreadsheet should end up in Part.


Also:
1. Open attached file.
2. Select everything but Part and Spreadsheet
3. Drag-drop the "everything" into Part
-> Spreadsheet is also moved into Part.
expected: spreadsheet stays outside of Part.
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13509 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 0258808ccb6ba3bd5ea9312f79cd023f1a8671b7
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: Russian/RussianFederation (ru_RU)
TagsNo tags attached.
FreeCAD Information

Activities

DeepSOIC

2018-05-13 20:24

developer  

dragdrop-spreadsheet-bug.FCStd (13,477 bytes)

Kunda1

2019-01-19 11:59

administrator   ~0012466

@eivindkvedalen quick question, this ticket is targeted for 0.18 will it in fact make it in to the 0.18 release ?

DeepSOIC

2019-01-19 12:11

developer   ~0012467

i'm working on it right now, stay tuned...

DeepSOIC

2019-01-19 12:17

developer   ~0012468

https://github.com/FreeCAD/FreeCAD/pull/1917

wmayer

2019-01-20 00:04

administrator   ~0012469

https://github.com/FreeCAD/FreeCAD/commit/28cbe2bd8986701bb7404842cf60138957e23ed6

Issue History

Date Modified Username Field Change
2018-05-13 20:24 DeepSOIC New Issue
2018-05-13 20:24 DeepSOIC File Added: dragdrop-spreadsheet-bug.FCStd
2018-05-30 23:27 Kunda1 Project FreeCAD => Expressions
2018-05-30 23:31 Kunda1 Target Version => 0.18
2018-05-30 23:31 Kunda1 Description Updated View Revisions
2018-05-30 23:31 Kunda1 Steps to Reproduce Updated View Revisions
2018-05-30 23:31 Kunda1 Additional Information Updated View Revisions
2019-01-19 11:59 Kunda1 Note Added: 0012466
2019-01-19 12:11 DeepSOIC Note Added: 0012467
2019-01-19 12:17 DeepSOIC Note Added: 0012468
2019-01-20 00:04 wmayer Assigned To => DeepSOIC
2019-01-20 00:04 wmayer Status new => closed
2019-01-20 00:04 wmayer Resolution open => fixed
2019-01-20 00:04 wmayer Fixed in Version => 0.18
2019-01-20 00:04 wmayer Note Added: 0012469